Bug 989556 - SwapError: swapon failed for '/dev/mapper/fedora-swap'
SwapError: swapon failed for '/dev/mapper/fedora-swap'
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:5df64f3d1a2891667619510890a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 10:19 EDT by Robert
Modified: 2014-02-21 13:20 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-21 13:20:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda.log (29.37 KB, text/plain)
2013-07-29 10:19 EDT, Robert
no flags Details
File: environ (518 bytes, text/plain)
2013-07-29 10:19 EDT, Robert
no flags Details
File: lsblk_output (3.13 KB, text/plain)
2013-07-29 10:19 EDT, Robert
no flags Details
File: messages (587.34 KB, text/plain)
2013-07-29 10:19 EDT, Robert
no flags Details
File: nmcli_dev_list (3.27 KB, text/plain)
2013-07-29 10:19 EDT, Robert
no flags Details
File: os_info (179 bytes, text/plain)
2013-07-29 10:19 EDT, Robert
no flags Details
File: program.log (107.78 KB, text/plain)
2013-07-29 10:19 EDT, Robert
no flags Details
File: storage.log (448.75 KB, text/plain)
2013-07-29 10:19 EDT, Robert
no flags Details
File: ifcfg.log (1.06 KB, text/plain)
2013-07-29 10:19 EDT, Robert
no flags Details
File: anaconda-tb (1.16 MB, application/octet-stream)
2013-07-29 10:20 EDT, Robert
no flags Details

  None (edit)
Description Robert 2013-07-29 10:19:13 EDT
Version-Release number of selected component:
anaconda-19.30.13-1.fc19.i686

The following was filed automatically by anaconda:
anaconda 19.30.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devicelibs/swap.py", line 88, in swapon
    raise SwapError("swapon failed for '%s'" % device)
  File "/usr/lib/python2.7/site-packages/blivet/formats/swap.py", line 136, in setup
    swap.swapon(self.device, priority=self.priority)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 2560, in turnOnSwap
    device.format.setup()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 1637, in turnOnSwap
    upgrading=upgrading)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 181, in turnOnFilesystems
    storage.turnOnSwap()
  File "/usr/lib/python2.7/site-packages/pyanaconda/install.py", line 140, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
SwapError: swapon failed for '/dev/mapper/fedora-swap'

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-i686-19-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.i686
other involved packages: python-blivet-0.17-1.fc19.noarch, python-libs-2.7.5-1.fc19.i686
product:        Fedora
release:        Fedora release 19 (Schrödinger’s Cat)
type:           anaconda
version:        19
Comment 1 Robert 2013-07-29 10:19:19 EDT
Created attachment 779922 [details]
File: anaconda.log
Comment 2 Robert 2013-07-29 10:19:23 EDT
Created attachment 779923 [details]
File: environ
Comment 3 Robert 2013-07-29 10:19:28 EDT
Created attachment 779924 [details]
File: lsblk_output
Comment 4 Robert 2013-07-29 10:19:33 EDT
Created attachment 779925 [details]
File: messages
Comment 5 Robert 2013-07-29 10:19:38 EDT
Created attachment 779926 [details]
File: nmcli_dev_list
Comment 6 Robert 2013-07-29 10:19:43 EDT
Created attachment 779927 [details]
File: os_info
Comment 7 Robert 2013-07-29 10:19:48 EDT
Created attachment 779928 [details]
File: program.log
Comment 8 Robert 2013-07-29 10:19:52 EDT
Created attachment 779929 [details]
File: storage.log
Comment 9 Robert 2013-07-29 10:19:58 EDT
Created attachment 779930 [details]
File: ifcfg.log
Comment 10 Robert 2013-07-29 10:20:04 EDT
Created attachment 779931 [details]
File: anaconda-tb
Comment 11 David Lehman 2013-07-31 11:37:57 EDT
The immediate failure is this:

05:12:14,531 INFO program: swapon: /dev/mapper/fedora-swap: swapon failed: Cannot allocate memory

However, there were serious problems trying to allocate memory throughout your session. The messages file is littered with errors like this one:

Jul 29 04:29:09 localhost kernel: [   73.900450] vmap allocation for size 405504 failed: use vmalloc=<size> to increase size.
Jul 29 04:29:09 localhost kernel: [   73.900454] vmalloc: allocation failure: 401139 bytes
Jul 29 04:29:09 localhost kernel: [   73.900457] modprobe: page allocation failure: order:0, mode:0xd2
Jul 29 04:29:09 localhost kernel: [   73.900460] Pid: 783, comm: modprobe Not tainted 3.9.5-301.fc19.i686 #1
(followed by more detailed information about the failure and the state of the system)

It looks like you have plenty of memory (>3GB), so I don't really know what the problem would be unless you were doing a bunch of other stuff at the same time you were trying to do the installation.
Comment 12 David Lehman 2013-07-31 12:06:47 EDT
Either this is an issue with your hardware or it's an issue with the kernel. It's not an issue with the installer. Please either reassign to the kernel ("Component" setting, above) or close the bug, depending on which you think it is. Thanks.
Comment 13 Steve Tyler 2013-07-31 18:05:23 EDT
If it is a memory hardware problem, memtest86+ might detect it.

memtest86+ is on the installer discs under the Troubleshooting menu:
Run a memory test
Comment 14 Steve Tyler 2013-07-31 22:57:42 EDT
Some of the vmap messages appear to occur while the kernel is booting. The times in square brackets are elapsed seconds since booting started, IIUC.

Snippet from attached messages:

Jul 29 04:28:41 localhost rsyslogd: [origin software="rsyslogd" swVersion="7.2.6" x-pid="531" x-info="http://www.rsyslog.com"] start
...
Jul 29 04:28:41 localhost kernel: [    0.000000] Memory: 3585080k/3661248k available (5627k kernel code, 75776k reserved, 2784k data, 652k init, 2756040k highmem)
...
Jul 29 04:28:41 localhost kernel: [    2.849407] Console: switching to colour frame buffer device 240x67
...
Jul 29 04:28:41 localhost kernel: [   39.890227] vmap allocation for size 4198400 failed: use vmalloc=<size> to increase size.
Jul 29 04:28:41 localhost kernel: [   39.890701] vmap allocation for size 2101248 failed: use vmalloc=<size> to increase size.
Jul 29 04:28:41 localhost kernel: [   39.890783] vmap allocation for size 1052672 failed: use vmalloc=<size> to increase size.
...
Comment 15 Steve Tyler 2013-07-31 23:09:14 EDT
It might help to determine if it is a memory or a kernel problem by booting a Fedora Live image from a previous release and looking at the output of dmesg in a terminal:
$ dmesg | less

Fedora Public Active Mirrors
http://mirrors.fedoraproject.org/publiclist/Fedora/

Note You need to log in before you can comment on or make changes to this bug.